数据提供商: DataForSEO
使用 DataForSEO 在 Google 酒店搜索中查找酒店。
默认输入规模下,每次调用 $0.004在 30 秒内响应
在 Google 上搜索酒店,可以查找位于同一地点、使用同一语言的酒店;也可以根据搜索关键词、指定的入住和退房日期以及入住人数来筛选结果。此外,还可以按星级、最低评分、价格范围、是否允许免费取消预订、是否为度假租赁房源或是否提供特定设施等条件进一步筛选,最多可查找 140 家酒店。每家酒店对应一行信息,包括其酒店标识符、名称、星级等级、是否为付费广告、地图坐标、带有投票数的评论评分,以及概述图片。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/business_data/google/hotel_searches/live on Glasser.bash
glasser run -p dataforseo -e '/v3/business_data/google/hotel_searches/live' -i '{"language_code":"en","location_code":1023191}' --endpoint-version 6使用接口版本 6。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/business_data/google/hotel_searches/live","input":{"language_code":"en","location_code":1023191},"endpoint_version":6}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 6,运行前请确认当前价格。
第 2 步尝试一个具体任务
筛选潜在客户时,可以将公司信息与理想客户标准比较,决定接下来研究哪些公司。
复制此提示词到你的 Agent,按理想客户标准审阅公司。
提示词
Use dataforseo:/v3/business_data/google/hotel_searches/live on Glasser.
Check the returned company data against my ideal-customer criteria.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": {
"tag": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"depth": {
"type": "integer",
"maximum": 140,
"minimum": 1,
"description": "Results to collect (1-140, default 18). DataForSEO bills each page of up to 18 results."
},
"stars": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 100,
"minItems": 1
},
"adults": {
"type": "integer"
},
"keyword": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"sort_by": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"check_in": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"children": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 100,
"minItems": 1
},
"currency": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"amenities": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 100,
"minItems": 1
},
"check_out": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"max_price": {
"type": "integer"
},
"min_price": {
"type": "integer"
},
"min_rating": {
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
"language_code": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_name": {
"type": "string"
},
"location_code": {
"type": "integer"
},
"location_name": {
"type": "string"
},
"search_this_area": {
"type": "boolean"
},
"free_cancellation": {
"type": "boolean"
},
"is_vacation_rentals": {
"type": "boolean"
},
"location_coordinate": {
"type": "string",
"maxLength": 2048,
"minLength": 1
}
},
"additionalProperties": false
}json
{
"language_code": "en",
"location_code": 1023191
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 默认输入规模 | 更大的输入和付费选项会随数据提供商的用量而改变费用。 有无匹配数据均按此价格收费。 | $0.004 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.16 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |